CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   OpenFoam-1.7.0- Installation problems (

pavitran July 20, 2010 05:30

OpenFoam-1.7.0- Installation problems
2 Attachment(s)
Hello OpenFoam users,

I have downloaded the OpenFoam-1.7.0 & Thirdparty and I sourced the "etc/bashrc" correctly in "$HOME/.bashrc".

After sourcing, I called "echo $WM_PROJECT_DIR", and it pops up correct path.
  1. Then firstly I have executed the ./foamSystemCheck which gave me the below statements
Checking basic system...
Shell: /bin/bash
OS: Linux version 2.6.9-89.0.11.ELsmp
User: bpl

System check: PASS
Continue OpenFOAM installation.


2. Next I have executed ./Allwmake

the problem is that it shows some warning messages and finally once the execution stops, when I call "icoFoam" it pops up showing that
command not found.
  1. I am attaching the Log files of ./Allwmake & ./foamInstallationTest.
  2. The ./foamInstallationTest log file states that gcc version lower than required.
  3. Is that a critical problem.

santos July 20, 2010 05:54


Your gcc version is very old, update it to (at least) 4.3.1 as suggested in the log file.

Jose Santos

All times are GMT -4. The time now is 09:26.